# Type Alias EventMap<PluginState, PluginData>

插件基本事件

type EventMap<PluginState, PluginData> = {
dataChange: (data: PluginData, prevData?: PluginData) => void;
dataLoaded: (data: PluginData) => void;
dispose: () => void;
stateChange: (params: StateChangeParams<PluginState>) => void;
}

#### Type Parameters

- PluginState
- PluginData

#### Hierarchy (View Summary)

- EventMap
  - ItemMaskPluginType.EventMap
  - OrientationPluginType.EventMap
  - BackgroundPluginType.EventMap
  - PluginTemplateType.EventMap
  - PanoAnimePluginType.EventMap
  - DynamicPathLinePluginType.EventMap
  - CSS3DPluginType.EventMap
  - CSS2DPluginType.EventMap
  - GaussianSplattingEntranceAnimationPluginType.EventMap

- Defined in lib/plugins/BasePlugin/index.ts:53

##### Index

### Properties

dataChange
dataLoaded
dispose
stateChange

## Properties

### dataChange

dataChange: (data: PluginData, prevData?: PluginData) => void

数据变更

- Defined in lib/plugins/BasePlugin/index.ts:59

### dataLoaded

dataLoaded: (data: PluginData) => void

数据加载完成

- Defined in lib/plugins/BasePlugin/index.ts:61

### dispose

dispose: () => void

插件被销毁

- Defined in lib/plugins/BasePlugin/index.ts:55

### stateChange

stateChange: (params: StateChangeParams<PluginState>) => void

插件状态变化

- Defined in lib/plugins/BasePlugin/index.ts:57